clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
clang::tidy::GlobList Class Reference

Read-only set of strings represented as a list of positive and negative globs. More...

`#include <ClangTidyDiagnosticConsumer.h>`

## Public Member Functions
| GlobList (StringRef Globs)
| `GlobList` is a comma-separated list of globs (only '*' metacharacter is supported) with optional '-' prefix to denote exclusion. More...
bool | contains (StringRef S)
| Returns `true` if the pattern matches `S`. More...

## Detailed Description

Read-only set of strings represented as a list of positive and negative globs.

Positive globs add all matched strings to the set, negative globs remove them in the order of appearance in the list.

Definition at line 73 of file ClangTidyDiagnosticConsumer.h.

## Constructor & Destructor Documentation

GlobList::GlobList | ( | StringRef | Globs | ) |

`GlobList` is a comma-separated list of globs (only '*' metacharacter is supported) with optional '-' prefix to denote exclusion.

Definition at line 148 of file ClangTidyDiagnosticConsumer.cpp.

## Member Function Documentation

bool clang::tidy::GlobList::contains | ( | StringRef | S | ) |
| inline

Returns `true` if the pattern matches `S`.

The result is the last matching glob's Positive flag.

Definition at line 81 of file ClangTidyDiagnosticConsumer.h.

References contains().

Referenced by contains(), clang::tidy::ClangTidyCheckFactories::createChecks(), and clang::tidy::ClangTidyASTConsumerFactory::getCheckNames().

The documentation for this class was generated from the following files:

- ClangTidyDiagnosticConsumer.h
- ClangTidyDiagnosticConsumer.cpp